/*
** pat_32.h for  in 
** 
** Made by 
** Login   <vianney@epita.fr>
** 
** Started on  Wed Sep  1 06:50:46 1999 
** Last update Thu Oct 28 20:21:40 1999 
*/
#ifndef PAT_32_H
#define PAT_32_H	1

#include "pat.h"

#define UNSAFE_NTOHL	ntohl
#define UNSAFE_HTONL	htonl

extern t_pat		ns32_pat;
extern t_pat		nu32_pat;
extern t_pat		u32_pat;
extern t_pat		nu32assoc_pat;
extern t_pat		u32assoc_pat;
extern t_pat		u32mask_pat;

/* PROTO pat_32.c */
/* pat_32.c */
t_u32 safe_ntohl P((t_u32 *p_nu32));
void safe_htonl P((t_u32 a_u32, t_u32 *p_nu32));
t_status thirtytwo_pat_off P((void *data, char *buf, int len, t_off *off_return));
t_status ns32_pat_name P((void *data, t_id *optional_id, char *str, int max_len));
t_status ns32_pat_extract P((void *data, char *buf, int len, char *str, int max_len));
t_status ns32_pat_insert P((void *data, char *buf, int len, char *value));
t_status nu32_pat_name P((void *data, t_id *optional_id, char *str, int max_len));
t_status nu32_pat_extract P((void *data, char *buf, int len, char *str, int max_len));
t_status nu32_pat_insert P((void *data, char *buf, int len, char *value));
t_status nu32_pat_get_field P((void *data, t_id *optional_id, char *buf, int len, char *field, char *str, int max_len));
t_status nu32_pat_set_field P((void *data, t_id *optional_id, char *buf, int len, char *field, char *value));
t_status nu32_pat_get_fields P((void *data, t_vec *vec_str));
t_status nu32_pat_get_tmpl P((void *data, t_id *id, char *buf, int len, char *str, int max_len));
t_status nu32_pat_get_field_pat P((void *data, t_id *optional_id, char *buf, int len, char *field, t_pat **pat_return, void **data_return));
t_status nu32_pat_sub P((void *data, t_id *optional_id, char *buf, int len, t_pat **pat_return));
t_status u32_pat_name P((void *data, t_id *optional_id, char *str, int max_len));
t_status u32_pat_extract P((void *data, char *buf, int len, char *str, int max_len));
t_status u32_pat_insert P((void *data, char *buf, int len, char *value));
t_status nu32assoc_pat_name P((void *data, t_id *optional_id, char *str, int max_len));
t_status nu32assoc_pat_extract P((void *data, char *buf, int len, char *str, int max_len));
t_status nu32assoc_pat_insert P((void *data, char *buf, int len, char *value));
t_status nu32assoc_pat_get_choices P((void *data, char *buf, int len, t_vec *vec_str, t_boolean *do_sort_return));
t_status u32assoc_pat_name P((void *data, t_id *optional_id, char *str, int max_len));
t_status u32assoc_pat_extract P((void *data, char *buf, int len, char *str, int max_len));
t_status u32assoc_pat_insert P((void *data, char *buf, int len, char *value));
t_status u32assoc_pat_get_choices P((void *data, char *buf, int len, t_vec *vec_str, t_boolean *do_sort_return));
t_status u32mask_pat_name P((void *data, t_id *optional_id, char *str, int max_len));
t_status u32mask_pat_extract P((void *data, char *buf, int len, char *str, int max_len));
t_status u32mask_pat_insert P((void *data, char *buf, int len, char *value));
#endif
